GDB (xrefs)

Classes | Functions
selftests::function_view Namespace Reference

## Classes
struct | plus_one_int_func_obj

## Functions
static int | plus_one_fn_int (int val)
static short | plus_one_fn_short (short val)
static int | call_callback_int (int val, gdb::function_view< int(int)> callback)
static void | call_callback_void (int val, gdb::function_view< void(int)> callback)
static void | run_tests ()

## Function Documentation

## ◆ call_callback_int()

static int selftests::function_view::call_callback_int | ( | int | val,
|  | gdb::function_view< int(int)> | callback
| ) |  |
| static

Definition at line 40 of file function-view-selftests.c.

Referenced by run_tests().

## ◆ call_callback_void()

static void selftests::function_view::call_callback_void | ( | int | val,
|  | gdb::function_view< void(int)> | callback
| ) |  |
| static

Definition at line 46 of file function-view-selftests.c.

Referenced by run_tests().

## ◆ plus_one_fn_int()

static int selftests::function_view::plus_one_fn_int | ( | int | val | ) |
| static

Definition at line 28 of file function-view-selftests.c.

Referenced by run_tests().

## ◆ plus_one_fn_short()

static short selftests::function_view::plus_one_fn_short | ( | short | val | ) |
| static

Definition at line 34 of file function-view-selftests.c.

Referenced by run_tests().

## ◆ run_tests()

static void selftests::function_view::run_tests | ( |  | ) |
| static

Definition at line 64 of file function-view-selftests.c.

References call_callback_int(), call_callback_void(), selftests::function_view::plus_one_int_func_obj::call_count, plus_one_fn_int(), plus_one_fn_short(), and SELF_CHECK.

Referenced by _initialize_function_view_selftests().